Classes | Functions
BeagleWksDRParserInternal Namespace Reference

Internal: the structures of a BeagleWksDRParser. More...

## Classes
struct | Shape
| Internal: the shape of BeagleWksDRParser. More...
struct | State
| Internal: the state of a BeagleWksDRParser. More...
class | SubDocument
| Internal: the subdocument of a BeagleWksDRParser. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Detailed Description

Internal: the structures of a BeagleWksDRParser.

## Function Documentation

## ◆ operator<<()

std::ostream& BeagleWksDRParserInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |

Referenced by MWAWEmbeddedObject::add(), ClarisWksStyleManager::CellFormat::CellFormat(), RagTime5StyleManager::GraphicStyle::isDefault(), RagTime5StyleManager::TextStyle::isDefault(), ClarisWksStyleManager::KSEN::KSEN(), MWAWChart::Legend::Legend(), HanMacWrdKZone::name(), MWAWBorder::operator!=(), MWAWColor::operator>=(), MoreStruct::Pattern::Pattern(), MsWrdText::PLC::PLC(), MsWrdEntry::setPictType(), and ClarisWksStyleManager::Style::Style().